summaryrefslogtreecommitdiffstats
path: root/lib
diff options
context:
space:
mode:
authorFeng Pan <fpan@redhat.com>2016-08-03 22:27:25 -0400
committerFeng Pan <fpan@redhat.com>2016-08-04 18:10:03 -0400
commitd5f0e0d3cd0ca88962c3f6d57d22ae27f2e3a5f1 (patch)
tree9b0e42bb967371553d1022c8eb8f0c01ab221301 /lib
parent8b09ebc6ff40a8d03d2eef292a3c710619ee94f2 (diff)
Fix network_isolation argparse issue
JIRA: APEX-222 Change-Id: I435852fbe1597bf03f617dc14a6718de699b648f Signed-off-by: Feng Pan <fpan@redhat.com>
Diffstat (limited to 'lib')
-rwxr-xr-xlib/parse-functions.sh2
-rwxr-xr-xlib/python/apex_python_utils.py8
-rwxr-xr-xlib/undercloud-functions.sh4
3 files changed, 7 insertions, 7 deletions
diff --git a/lib/parse-functions.sh b/lib/parse-functions.sh
index e8dd982d..0be62e25 100755
--- a/lib/parse-functions.sh
+++ b/lib/parse-functions.sh
@@ -63,7 +63,7 @@ parse_network_settings() {
fi
done
- if output=$(python3.4 -B $LIB/python/apex_python_utils.py parse-net-settings -s $NETSETS -i $net_isolation_enabled -e $CONFIG/network-environment.yaml $parse_ext); then
+ if output=$(python3.4 -B $LIB/python/apex_python_utils.py parse-net-settings -s $NETSETS $net_isolation_arg -e $CONFIG/network-environment.yaml $parse_ext); then
echo -e "${blue}${output}${reset}"
eval "$output"
else
diff --git a/lib/python/apex_python_utils.py b/lib/python/apex_python_utils.py
index c548437d..8ea40f2c 100755
--- a/lib/python/apex_python_utils.py
+++ b/lib/python/apex_python_utils.py
@@ -131,9 +131,9 @@ def get_parser():
default='network-settings.yaml',
dest='net_settings_file',
help='path to network settings file')
- net_settings.add_argument('-i', '--network-isolation', type=bool,
+ net_settings.add_argument('--flat', action='store_false',
default=True, dest='network_isolation',
- help='network isolation')
+ help='disable network isolation')
net_settings.add_argument('-e', '--net-env-file',
default="network-environment.yaml",
dest='net_env_file',
@@ -172,9 +172,9 @@ def get_parser():
default='network-settings.yaml',
dest='net_settings_file',
help='path to network settings file')
- nic_template.add_argument('-i', '--network-isolation', type=bool,
+ nic_template.add_argument('--flat', action='store_false',
default=True, dest='network_isolation',
- help='network isolation')
+ help='disable network isolation')
nic_template.add_argument('-n', '--enabled-networks', required=True,
dest='enabled_networks',
help='enabled network list')
diff --git a/lib/undercloud-functions.sh b/lib/undercloud-functions.sh
index 0e26fa89..f5b53ee7 100755
--- a/lib/undercloud-functions.sh
+++ b/lib/undercloud-functions.sh
@@ -136,12 +136,12 @@ function configure_undercloud {
ovs_dpdk_bridge=''
fi
- if ! controller_nic_template=$(python3.4 -B $LIB/python/apex_python_utils.py nic-template -r controller -s $NETSETS -i $net_isolation_enabled -t $CONFIG/nics-template.yaml.jinja2 -n "$enabled_network_list" -e "br-ex" -af $ip_addr_family); then
+ if ! controller_nic_template=$(python3.4 -B $LIB/python/apex_python_utils.py nic-template -r controller -s $NETSETS $net_isolation_arg -t $CONFIG/nics-template.yaml.jinja2 -n "$enabled_network_list" -e "br-ex" -af $ip_addr_family); then
echo -e "${red}ERROR: Failed to generate controller NIC heat template ${reset}"
exit 1
fi
- if ! compute_nic_template=$(python3.4 -B $LIB/python/apex_python_utils.py nic-template -r compute -s $NETSETS -i $net_isolation_enabled -t $CONFIG/nics-template.yaml.jinja2 -n "$enabled_network_list" -e $ext_net_type -af $ip_addr_family -d "$ovs_dpdk_bridge"); then
+ if ! compute_nic_template=$(python3.4 -B $LIB/python/apex_python_utils.py nic-template -r compute -s $NETSETS $net_isolation_arg -t $CONFIG/nics-template.yaml.jinja2 -n "$enabled_network_list" -e $ext_net_type -af $ip_addr_family -d "$ovs_dpdk_bridge"); then
echo -e "${red}ERROR: Failed to generate compute NIC heat template ${reset}"
exit 1
fi